/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.core.component;

import org.apache.tuscany.sca.factory.ObjectFactory;
import org.osoa.sca.ServiceReference;

/**
 * Default implementation of a ServiceReference.
 *
 * @version $Rev: 537744 $ $Date: 2007-05-14 13:30:18 +0530 (Mon, 14 May 2007) $
 * @param <B> the type of the business interface
 */
public class ServiceReferenceImpl<B> extends CallableReferenceImpl<B> implements ServiceReference<B> {
    public ServiceReferenceImpl(Class<B> businessInterface, ObjectFactory<B> factory) {
        super(businessInterface, factory);
    }

    public Object getConversationID() {
        return null;
    }

    public void setConversationID(Object conversationId) throws IllegalStateException {
    }

    public void setCallbackID(Object callbackID) {
    }

    public Object getCallback() {
        return null;
    }

    public void setCallback(Object callback) {
    }
}
