/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package echo;

import junit.framework.TestCase;

import org.apache.tuscany.sca.host.embedded.SCADomain;

/**
 * @version $Rev: 537747 $ $Date: 2007-05-14 13:52:48 +0530 (Mon, 14 May 2007) $
 */
public class EchoReferenceTestCase extends TestCase {

    private SCADomain scaDomain;
    private Echo service;

    protected void setUp() throws Exception {
        scaDomain = SCADomain.newInstance("EchoBinding.composite");
        service = scaDomain.getService(Echo.class, "EchoComponent");
    }
    
    protected void tearDown() throws Exception {
        scaDomain.close();
    }

    public void testEchoBinding() {
        String result = service.echo("foo");
        assertEquals(result, "foo");
    }


}
